

import datetime

from djangotools.common.types import date_to_string
from baby.app.context.base import BaseContextData
from baby.app.models.regle import Regle


class EditData(BaseContextData):
    page = "login"
    need_auth = False

    def get_context_data(self, request, action_params, **kwargs):

        message = kwargs.get("data", {}).get("error")
        return {
            "title" : "Login",
            "is_fail" : message is not None,
            "message" : message
        }
