import datetime
import math

import pytest
from djangotools.common.types import parse_date, date_to_string

from baby.app.common.calendar import MonthCalendar
from baby.app.context.edit import ContextData as EditContextData
from tests.util import create_regles

from tests.util import Request
@pytest.mark.django_db
class TestEdit:
    def _req(self, lengthes, delta, get=None, date="01/10/2023"):
        if get is None:
            get = {}
        get.update({"year":  parse_date(date).year})
        return  Request("GET", create_regles(lengthes, delta, parse_date(date)), get=get)

    def test_nominal_case(self, client):
        date = parse_date("01/10/2023")
        content = [25, 24, 50, 26, 27]
        offset = 1
        req = self._req(content, offset, date=date)
        ret = req.test(EditContextData)

        return ret


