import datetime

from baby.app.context.base import UserPrefences, BaseContextData
from baby.app.models.regle import Cycle


class ContextData(BaseContextData):
    page = "index"


    def get_context_data(self, request, action_params, **kwargs):
        today = datetime.date.today()
        user = request.user
        cycle = Cycle.from_day(user, today)
        if cycle is not None:
            data =  cycle.json
            data["offset"] = (today - cycle.start).days# faire un plus 1
            data["value"] = True
        else:
            data = {"value": False}
        data["title"] = "Menu principal"

        return data

