from django.conf import settings
from djangotools.views import Route, Router, render_page

pages = [
    ("", "index", "index.html"),
    ("calendar", "calendar", "calendar.html"),
    ("validate_cycle", "validate_cycle", "validate_cycle.html"),
    ("stats", "stats", "stats.html"),
]

Router.route("parameters", {"POST", "GET"})(render_page("parameters", "parameters.html", context_to_string=False))
Router.route("new_cycle", {"POST", "GET"})(render_page("new_cycle", "new_cycle.html", context_to_string=False))
Router.route("edit", {"POST", "GET"})(render_page("edit", "edit.html", context_to_string=False))


for url, context, template in pages:
    Router.get(url, need_auth=True)(render_page(context, template, context_to_string=False))