from django.shortcuts import redirect
from djangotools.common import response
from djangotools.common.types import parse_date
from djangotools.views import Router

from baby.app.models.regle import Regle


@Router.get("delete_regle")
def delete_regle(request):
    date = request.GET.get("date", request.POST.get("date", None))
    if date is None:
        return redirect("/")

    parsed_date = parse_date(date)
    regle = list(Regle.objects.filter(date=parsed_date))
    if regle:
        for x in regle:
            x.delete()

    return redirect(f"/edit?year={parsed_date.year}")
