

import datetime

import pytest
from django.contrib.auth.models import User
from djangotools.common.types import parse_date

from baby.app.common.calendar import MonthCalendar
from baby.app.context.stats import ContextData as StatsContextData
from baby.app.models.regle import Regle, Cycle
from tests.util import create_regles


@pytest.mark.django_db
class TestAverageLength:

    def test_nominal_case(self, client):
        StatsContextData
        ref = parse_date("01/10/2023")
        user = create_regles([24,25,26,27], 1, ref)
        cal = MonthCalendar(user, ref)
        data = cal.get_calendar_dict()
        js = cal.json
        print(data)

